
package de.ivu.elect.business.personenpruefung.control.wahlrecht;

import de.ivu.elect.business.staat.entity.AbstractStaat;

public enum WahlrechtStaatsangehoerigkeit {

  DEUTSCH(AbstractStaat.DEUTSCHLAND_CUSTOM_CODE),
  DEUTSCH_ODER_UNBEKANNT(AbstractStaat.DEUTSCHLAND_CUSTOM_CODE),
  EU(""),
  EU_ODER_UNBEKANNT(""),
  AUSLAND(""),
  UNBEKANNT(""),
  ALLE("");

  private final String customCode;

  private WahlrechtStaatsangehoerigkeit(String customCode) {
    this.customCode = customCode;
  }

  public String getCustomCode() {
    return customCode;
  }
}
